ipe::PdfThumbnail Class Reference

`#include <ipethumbs.h>`

## Public Member Functions

| PdfThumbnail (const PdfFile *pdf, int width)
int | width () const
int | height () const
Buffer | render (const PdfDict *page)

## Constructor & Destructor Documentation

## PdfThumbnail()

PdfThumbnail::PdfThumbnail | ( | const PdfFile * | pdf,
|  | int | width )

References ipe::PdfFile::countPages(), ipe::Rect::height(), ipe::PdfFile::mediaBox(), ipe::PdfFile::page(), ipe::StyleSheet::standard(), ipe::Rect::width(), and width().

## Member Function Documentation

## width()

int ipe::PdfThumbnail::width | ( |  | ) | const

inline

Referenced by PdfThumbnail().

## height()

int ipe::PdfThumbnail::height | ( |  | ) | const

inline

## render()

Buffer PdfThumbnail::render | ( | const PdfDict * | page | ) |

References ipe::Buffer::data(), ipe::PdfObj::dict(), ipe::CairoPainter::executeStream(), ipe::PdfDict::get(), ipe::PdfFile::mediaBox(), and ipe::Rect::width().

The documentation for this class was generated from the following files:

- ipethumbs.h
- ipethumbs.cpp